XCODE5でsvn(subversion)の1.7を使う

xcodeをアップデートするとsvnも一緒にアップデートされてしまい、server側とのversion不一致でエラーになる現象が発生。

ということで、xcode5でsubversionのversionを1.7にする方法。

1. svnパッケージインストール

http://www.wandisco.com/subversion/download#osx

Download Subversion 1.7.11 for OSX 10.8.x Client Only のリンクからダウンロード。
# 1.7.11からあがってるかも

ダブルクリックでインストール

2. PATHの入れ替え

bash-3.2# cd /Applications/Xcode.app/Contents/Developer/usr/bin/
bash-3.2# mkdir bk_svn
bash-3.2# mv svn* bk_svn/
bash-3.2# ln -s /opt/subversion/bin/svn* ./
関連記事

Comment

(編集・削除用)
管理者にだけ表示を許可

Trackback

URL
https://nosource.blog.fc2.com/tb.php/108-72d54414
この記事にトラックバック(FC2Blog User)

カテゴリ

Amazon

アクセスランキング

[ジャンルランキング]
コンピュータ
261位
アクセスランキングを見る>>

[サブジャンルランキング]
プログラミング
47位
アクセスランキングを見る>>

RSSリンクの表示

ブロとも申請フォーム

Copyright © nopgm